Package it.ernytech.tdlib

## Class TdApi.GetChats

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetChats

Enclosing class:
  TdApi

    public static class TdApi.GetChats
    extends TdApi.Function

Returns an ordered list of chats. Chats are sorted by the pair (order, chatId) in decreasing order. (For example, to get a list of chats from the beginning, the offsetOrder should be equal to 2^63 - 1). For optimal performance the number of returned chats is chosen by the library.

Returns `Chats`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `limit` The maximum number of chats to be returned.
`long` `offsetChatId` Chat identifier to return chats from.
`long` `offsetOrder` Chat order to return chats from.

### Constructor Summary

Constructors
`GetChats()` Default constructor.
`GetChats​(long offsetOrder, long offsetChatId, int limit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### offsetOrder

    public long offsetOrder

Chat order to return chats from.

#### offsetChatId

    public long offsetChatId

Chat identifier to return chats from.

#### limit

    public int limit

The maximum number of chats to be returned. It is possible that fewer chats than the limit are returned even if the end of the list is not reached.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetChats

    public GetChats()

Default constructor.

#### GetChats

    public GetChats​(long offsetOrder,
                    long offsetChatId,
                    int limit)

Constructor for initialization of all fields.

Parameters:
  `offsetOrder` - Chat order to return chats from.
  `offsetChatId` - Chat identifier to return chats from.
  `limit` - The maximum number of chats to be returned. It is possible that fewer chats than the limit are returned even if the end of the list is not reached.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR